Subject: Re: bug#12872: 24.2; Provide a feature to trigger mode-line redisplay

From: Eli Zaretskii <[email-masked]>
Date: Sun, 05 Dec 2021 09:02:43 +0200

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked]
> Date: Sat, 04 Dec 2021 23:04:11 +0100
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> >> What flag is that?
> >
> > w->update_mode_line
> 
> Oh, I didn't realise that the update_mode_line variable and that field
> were separate things...

update_mode_line is global, affecting all windows.

> >> > The problem is how to set it only when the current line changes.  I
> >> > think that's the crux of this issue.
> >> 
> >> I must admit I didn't understand what was meant by "when the current
> >> line changes".  😐
> >
> > It means point moves from one physical line to another.
> 
> Then it doesn't sound difficult to implement that in an efficient
> manner?  Whatever function Drew is using could just put itself in
> post-command-hook and check?  Isn't there a line number cache somewhere?

It can be solved that way, yes.  But the bug is about allowing to
solve it in a less expensive way.  post-command-hook makes Emacs
sluggish, and line-number cache cannot be trusted in Lisp programs
(and is not exposed to Lisp, I think?).

But if we don't want to add such a feature, we can close the bug as
wontfix.